Skip to content

GET API Endpoints Schema Updates.

POST
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/api_inventory/api_endpoints/get_schema_updates
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_inventory/api_endpoints/get_schema_updates \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "api_endpoints_filter": [ { "method": "ANY", "path": "example" } ], "name": "example", "namespace": "example", "query_type": "API_INVENTORY_SCHEMA_FULL_RESPONSE" }'

GET list of schema paiComparablers, current and updated, for each endpoint in the request or all pending changes if empty list is provided. NOTE: any API endpoint defined in user swagger files should be ignored.

Examples of this operation.

namespace
required
string

Namespace The namespace of the Virtual Host for the current request.

name
required
string

Name The name of the Virtual Host for the current request.

Media typeapplication/json
Get API Endpoints Schema Updates Request

Request shape for GET API Endpoints Schema Updates.

object
api_endpoints_filter
API Endpoints Filter

The list of discovered API endpoint to GET schema for. NOTE: if empty, then the all API endpoints with schema changes would be returned.

Array<object>
<= 100 items
ApiOperation

API operation according to OpenAPI specification.

object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
name
Name

The name of the Virtual Host for the current request.

string
>= 6 characters <= 1024 characters
namespace
Namespace

The namespace of the Virtual Host for the current request.

string
>= 6 characters <= 1024 characters
query_type
string
default: API_INVENTORY_SCHEMA_FULL_RESPONSE
Allowed values: API_INVENTORY_SCHEMA_FULL_RESPONSE API_INVENTORY_SCHEMA_CURRENT API_INVENTORY_SCHEMA_UPDATED

A successful response.

Media typeapplication/json
Get API Endpoints Schema Updates Response

Response shape for GET API Endpoints Schema Updates.

object
api_endpoints_current_schemas
API Endpoints Current Schemas

The list of discovered API endpoints with current schemas.

Array<object>
API Endpoint With Schema

API endpoint and its schema.

object
api_operation
object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
schema_json
Schema JSON

The schema of the API endpoint Required: YES.

string
<= 20000 characters
api_endpoints_updated_schemas
API Endpoints Updated Schemas

The list of API Inventory API endpoints with updated schemas.

Array<object>
API Endpoint With Schema

API endpoint and its schema.

object
api_operation
object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
schema_json
Schema JSON

The schema of the API endpoint Required: YES.

string
<= 20000 characters
Example
{
"api_endpoints_current_schemas": [
{
"api_operation": {
"method": "ANY"
}
}
],
"api_endpoints_updated_schemas": [
{
"api_operation": {
"method": "ANY"
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example